%define oname py2cairo

Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.10.0
Release:	%mkrel 7
License:	LGPLv2+
Group:		Development/Python
URL:		http://cairographics.org/pycairo
# Python 2
Source0:	http://cairographics.org/releases/%{oname}-%{version}.tar.bz2
# Python 3
Source1:	http://cairographics.org/releases/pycairo-%{version}.tar.bz2 
Patch0:		py2cairo-1.10.0-link.patch
Patch1:         pycairo-1.10.0-fix-waf-build.patch
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	python-devel >= 2.6
BuildRequires:  python3-devel
BuildRequires:  waf-python3
Requires:	cairo >= 1.10.0
Provides:	%{oname} = %{version}-%{release}

%description
Aset of Python bindings for the cairo graphics library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description devel
Development files for %{name}.

# Python 3
%package -n python3-cairo
Summary:        Python 3 bindings for the cairo library
Group:		Development/Python

%description -n python3-cairo
Python 3 bindings for the cairo library.

%package -n python3-cairo-devel
Summary:        Libraries and headers for python3-cairo
Group:		Development/Python
Requires:       python3-cairo = %{version}-%{release}
Requires:       cairo-devel
Requires:       pkgconfig
Requires:       python3-devel

%description -n python3-cairo-devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with python3-cairo.


%prep
%setup -q -c -T
# Python 2
tar xf %{SOURCE0}
mv %{oname}-%{version} python-cairo
pushd python-cairo
%patch0 -p0
touch ChangeLog
popd

# Python 3
tar xf %{SOURCE1}
mv pycairo-%{version} python3-cairo
pushd python3-cairo
%patch1 -p0
%__python3_waf --version
popd

%build
# Python 2
pushd python-cairo
autoreconf -fi
%configure2_5x
%make
popd

# Python 3
pushd python3-cairo
export PYTHON="%{_bindir}/python3"
CFLAGS="-I/usr/include/python%{python3_version} -lpython%{python3_version}m" %configure_python3_waf
%python3_waf
# remove executable bits from examples
find ./examples/ -type f -print0 | xargs -0 chmod -x
popd

%check
pushd python-cairo
make check
popd

%install
# Python 2
pushd python-cairo
%makeinstall_std
popd

# Python 3
pushd python3-cairo
%python3_waf_install
popd

# add executable bit to the .so libraries so we strip the debug info
find %{buildroot} -name '*.so' | xargs chmod +x
find %{buildroot} -name '*.la' | xargs rm -f

%files 
%{py_platsitedir}/cairo

%files devel
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc

%files -n python3-cairo
%{py3_platsitedir}/cairo

%files -n python3-cairo-devel
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-7.mga4
+ Revision: 522225
- Mageia 4 Mass Rebuild

* Fri Feb 15 2013 fwang <fwang> 1.10.0-6.mga3
+ Revision: 398520
- do not extract archive vebose

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-5.mga3
+ Revision: 378510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 philippem <philippem> 1.10.0-4.mga3
+ Revision: 339068
+ rebuild (emptylog)

* Sat Sep 29 2012 fwang <fwang> 1.10.0-3.mga3
+ Revision: 300323
- update libname
- rebuild for new py 3.3

* Tue Jul 03 2012 kamil <kamil> 1.10.0-2.mga3
+ Revision: 267033
- remove waf dependency for python3 build (rpm macros for python3 version of waf are packaged now in waf-python3)

* Tue Jul 03 2012 kamil <kamil> 1.10.0-1.mga3
+ Revision: 267003
- add waf-python3 to BR
- add P1 pycairo-1.10.0-fix-waf-build.patch
- add support for Python 3

* Wed Aug 24 2011 fwang <fwang> 1.10.0-1.mga2
+ Revision: 135091
- fix linkage
- new version 1.10.0

* Sat Apr 16 2011 ahmad <ahmad> 1.8.10-1.mga1
+ Revision: 86810
- update to 1.8.10, using py2cairo tarball
- bump the cairo required version
- provide py2cairo, this is the branch that supports python 2.x

* Mon Jan 17 2011 pterjan <pterjan> 1.8.8-3.mga1
+ Revision: 20670
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.8.8-2.mga1
+ Revision: 8417
- imported package python-cairo


* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 1.8.8-2mdv2011.0
+ Revision: 589933
- rebuild for python 2.7

* Fri Jan 08 2010 Emmanuel Andry <eandry@mandriva.org> 1.8.8-1mdv2010.1
+ Revision: 487780
- New version 1.8.8

* Thu Jun 25 2009 Frederic Crozat <fcrozat@mandriva.com> 1.8.6-1mdv2010.0
+ Revision: 389064
- Remove obsolete buildrequires
- Fix dependencies
- Release 1.8.6

* Sun May 10 2009 Götz Waschk <waschk@mandriva.org> 1.8.4-1mdv2010.0
+ Revision: 374076
- update to new version 1.8.4

* Thu Jan 15 2009 Frederic Crozat <fcrozat@mandriva.com> 1.8.2-1mdv2009.1
+ Revision: 329720
- Release 1.8.2

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.12-3mdv2009.1
+ Revision: 318656
- rebuild for python 2.6

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.12-2mdv2009.0
+ Revision: 225128
- rebuild

* Mon Feb 25 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.12-1mdv2008.1
+ Revision: 174515
- new release 1.4.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2008.1
+ Revision: 100383
- new version
- new license policy
- remove patch 2, as it is not needed anymore
- move development files to its own package
- use macros wherever it is possible
- spec file clean


* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2007.0
+ Revision: 91720
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2007.1
+ Revision: 88002
- Import python-cairo

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2007.1
- Rebuild

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- fix deps
- drop patch 3
- New release 1.2.2

* Wed Jun 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-3mdv2007.0
- patch 3: fix broken symbols (#23226)

* Wed Jun 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-2mdv2007.0
- rebuild b/c of broken symbols on x86_64 (thus preventing avahi to rebuild)

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.6-1mdv2007.0
- Release 1.1.6
- Remove patch1 (merged upstream)

* Tue Feb 28 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-2mdk
- BuildRequires: automake1.8

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdk
- Release 1.0.2
- use mkrel
- allow bootstrapping to build pygtk before pycairo

* Sun Oct 09 2005 Tigrux <tigrux@ximian.com> 1.0.0-1mdk
- new version
- modified autoconf.ac to enable pygtk support

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- new version
- fix URLs

* Sat Jul 09 2005 Tigrux <tigrux@ximian.com> 0.5.1-1mdk
- New release 0.5.1

* Tue May 24 2005 Tigrux <tigrux@ximian.com> 0.5.0-1mdk
- New version 0.5.0
- Patched for compiling with gcc4
- Added /usr/include/pycairo/pycairo.h and /usr/lib64/pkgconfig/pycairo.pc 
  to the spec.
- Added Requires cairo >= 1.2.6 since this version does not work with prior versions.

* Sat May 14 2005 Michael Scherer <misc@mandriva.org> 0.4.0-2mdk
- remove requires on cairo ( autodetected )
- from Tigrux <tigrux@ximian.com>
  - Do not require python = 2.5

* Wed Apr 27 2005 Michael Scherer <misc@mandriva.org> 0.4.0-1mdk
- from Tigrux <tigrux@ximian.com>
  - New version

* Mon Dec 06 2004 Tigrux <tigrux@ximian.com> 0.1.3-1mdk
- New version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.1-0.20040914.2mdk
- Rebuild for new python

* Sat Sep 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20040914.1mdk
- from Tigrux <tigrux@ximian.com> : 
	- First RPM for Mandrake

